// Fonts
@import url('https://fonts.googleapis.com/css?family=Nunito');

// Variables
@import 'variables';

// Bootstrap
@import '~bootstrap/scss/bootstrap';

// Fonts
@import '~font-awesome/scss/font-awesome';

/** Footer Styles**/

.footer-container .socials li{
    display: inline;
}

.footer-container .socials .social-element{
    background-color: #fff;
    font-size: 28px;
    padding: 5px;
    margin-right:5px;
    color:#111;
    border-radius: 5px;
    display: inline-block;
    width:45px;
    text-align: center;
}

.footer-container .socials a{
    color:#111;
}

.footer-container .row-dark{
    background-color: $ruby;
    padding:5px;
}

.footer-container{
    background-color: #111;
    color:#fff;
}

.footer-container > .container{
    padding: 5px;
}

.footer-container > .container a{
    font-size: 14px;
    color:#878787;
}

.footer-container > .container a:hover{
    font-size: 14px;
    color: $ruby;
}

/** Header Styles **/

.header-container .navbar-dark{
    background-color: #111;
}

.header-container .nav-item{
    color: #878787;
}

.header-container .icon-container{
    display:inline-block;
    width:28px;
    height:28px;
    background-color: $lightruby;
    color:#fff;
    padding:2px;
    font-size:14px;
    border-radius:50%;
    text-align: center;
}

.header-container .icon-container:hover{
    background-color: $darkruby;
}

.header-container .jumbotron{
    background-color: #fff;
    border-bottom: 3px solid $ruby;
    border-radius: 0px 0px 5px 5px;
}

/** Home Styles **/

.home-section{
    min-height: 300px;
    animation: $sectionAnimation;
}

/** Product Styles **/

.product-section{
    min-height: 300px;
    animation: $sectionAnimation;
}

.product-title h1{
    font-size: 24px;
    color: #1f1f1f;
    font-family: sans-serif;
    height: 109.2px;
    text-overflow: ellipsis;
    -webkit-line-clamp: 3;
    -webkit-box-orient: vertical;
    overflow: hidden;
    line-height: 1.625;
}

.product-subtitle img{
    border-radius: 50%;
    width:50px;
    float: left;
}

.product-card{
    box-shadow: #91a1af 2px 4px 3px 3px;
    height: 450px;
}

.product-card-img{
  opacity: 1;
  display: block;
  transition: .5s ease;
  backface-visibility: hidden;
}

.product-card-middle {
  transition: .5s ease;
  opacity: 0;
  position: absolute;
  top: 25%;
  left: 50%;
  transform: translate(-50%, -50%);
  -ms-transform: translate(-50%, -50%)
}

.product-card-container:hover .product-card-img {
  opacity: 0.3;
}

.product-card-container:hover .product-card-middle {
  opacity: 1;
}

.product-card-text {
  background-color: $ruby;
  border-radius: 50%;
  color: white;
  font-size: 40px;
  padding:5px;
  width: 80px;
  height: 80px;
  text-align: center;
}

.product-text{
    margin-top: 10px;
    color: #3f3f3f;
    font-size: 18px;
    font-family: sans-serif;
    font-weight: 400;
}

/** Products Page Styles **/

.products-container{
    min-height: 300px;
    animation: $sectionAnimation;
}

/** Cart Styles **/

.cart-section{
    min-height: 300px;
}

.cart-container{
    border: 1px solid #aaa;
    border-radius: 5px;
    padding: 10px;
}

.cart-container li{
    border: 1px solid #ccc;
    border-radius: 5px;
    padding: 5px;
}

/** Login Styles **/

.login-section{
    min-height: 300px;
}

/** Register Styles **/

.register-section{
    min-height: 300px;
}

/** Verify Page Styles **/

.verify-section{
    min-height: 300px;
}

/** Confirm Page Styles **/

.confirm-section{
    min-height: 300px;
}

/** Email Check Page Styles **/

.email-section{
    min-height: 300px;
}

/** Reset Password Page Styles **/

.reset-section{
    min-height: 300px;
}


